function downloadsOnChanged(downloadDelta) {
	if (downloadDelta.state && (downloadDelta.state.current == "complete")) {
		browser.downloads.search({id: downloadDelta.id})
		.then(downloadItems => {
			if (downloadItems[0].byExtensionId == browser.runtime.id) {
				return (
					browser.downloads.erase({id: downloadItems[0].id})
					.then(ids => { URL.revokeObjectURL(downloadItems[0].url) })
				)
			}
		})
		.catch(function(e) {
			console.log("downloadsOnChanged", e)
		})
	}
}

browser.downloads.onChanged.addListener(downloadsOnChanged)

let blob = new Blob(["Test"], {type: 'text/plain'})
let url = URL.createObjectURL(blob)
browser.downloads.download({
	conflictAction: "overwrite",
	filename: "Test.txt",
	saveAs: false,
	url: url
})
